<template>
	<vue-file-toolbar-menu  :content="content"/>
</template>

<script setup lang="ts">
import {  definePropType } from 'element-plus/es/utils/vue/props/runtime';
import VueFileToolbarMenu from 'vue-file-toolbar-menu';
import type { ButtonComponentProps } from './types';
const props = defineProps({
	content: {
		type: definePropType<ButtonComponentProps[]>(Array),
	
	},
});
</script>
<style scoped lang="scss">

:deep(.bar-button) {
	cursor: pointer;
	.bar-menu {
		cursor: default;
	}
	.bar-menu-item {
		cursor: pointer;
	}

	&:hover {
		color: initial !important;
		background-color: #eaecee !important;
	}

	&.active{
		color: initial !important;
		background-color: #dfe2e5 !important;
	}
}
</style>
